package com.alibaba.druid.sql.dialect.gauss.ast.expr;

import com.alibaba.druid.sql.SQLUtils;
import com.alibaba.druid.sql.ast.SQLExprImpl;
import com.alibaba.druid.sql.dialect.gauss.visitor.GaussASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public abstract class GaussExprImpl extends SQLExprImpl implements GaussExpr {
   public abstract void accept0(GaussASTVisitor var1);

   protected void accept0(SQLASTVisitor visitor) {
      this.accept0((GaussASTVisitor)visitor);
   }

   public String toString() {
      return SQLUtils.toPGString(this);
   }
}
